Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client
Class GuiCustomModLoadingErrorScreen

    java.lang.Object
      net.minecraft.client.gui.Gui
          net.minecraft.client.gui.GuiScreen
              net.minecraft.client.gui.GuiErrorScreen
                  cpw.mods.fml.client.GuiCustomModLoadingErrorScreen

    public class GuiCustomModLoadingErrorScreen

extends GuiErrorScreen

Field Summary

Fields inherited from class net.minecraft.client.gui.GuiScreen
`allowUserInput, guiParticles, height, isMacOs, width`

Constructor Summary
`GuiCustomModLoadingErrorScreen(CustomModLoadingErrorDisplayException customException)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.

Methods inherited from class net.minecraft.client.gui.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.client.gui.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiCustomModLoadingErrorScreen

    public GuiCustomModLoadingErrorScreen(CustomModLoadingErrorDisplayException customException)

Method Detail

### initGui

    public void initGui()

  Description copied from class: `GuiScreen`
  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Description copied from class: `GuiErrorScreen`
  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiErrorScreen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD